Deeply API Documentation main logoDeeply API Documentation main logo textDeeply API Documentation main logo text
User GuideServer API Reference
Search...
k
LanguageENKO

© 2026 Deeply Inc.

Deeply Logo Icon

Deeply API Documentation

    Release Notes

    Quick Start

    API Quick Start Guide
    Authorization
    Rate Limit

    Architecture

    Overall Architecture
    Edge Server System

    Events

    Events
    Event Categories
    List Events
    GET
    Get An Event
    GET

    Composite Events

    Composite Events
    List Composite Events
    GET
    Get A Composite Event
    GET
    Listen Live Composite Events
    WebSocket

    Live Events

    Live Events
    Listen Live Events
    WebSocket

    Edges

    Edge Server
    List Edge Servers
    GET
    Get An Edge Server
    GET
    Update Edge Server
    PATCH

    Microphones

    Mic Device
    List Mic Devices
    GET
    Get A Mic Device
    GET
    Update Mic Device
    PATCH

    Auth

    Reissue Token
    GET
    1. Reference
    2. Edge Server
    3. Update Edge Server

    Update Edge Server

    Update specific edge server details by its ID

    Last updated: November 11, 2026

    PATCH
    /api/v1/edges/{edge_id}

    Description

    API to update a specific edge server's details by its ID. Refer to Edge Server for more information about the edge object.

    Authentication

    Access Token is required via Bearer token authentication. Refer to Authentication for more information.

    Path Parameters

    edge_id
    Required
    string
    Unique identifier of the edge server

    Request Body

    name
    Optional
    string
    Name of the edge server
    description
    Optional
    string
    Description of the edge server

    Response

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    {
      "data": {
        "id": "string",
        "name": "string",
        "description": "string",
        "status": "active",
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      }
    }

    Request Examples

    Run In Postman

    Update Edge Server Name

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/edges/edge_123', {
      method: 'PATCH',
      headers: {
        "Authorization": "Bearer YOUR_ACCESS_TOKEN",
        "Content-Type": "application/json"
      },
      body: JSON.stringify({
        "name": "New Edge Server Name"
      })
    });
    
    const data = await response.json();
    Get An Edge Server
    Mic Device
    DescriptionAuthenticationResponseRequest ExamplesUpdate Edge Server Name